#include <fstream>
using namespace std;
int main()
{
	ifstream f("BAI3_17.inp");
	ofstream g("BAI3_17.out");
	long long n,a[999999],max,min;
	int i;
	f>>n;
	for (i=1;i<=n;i++)
	{
		f>>a[i];
	}
	for (i=1;i<=n;i++)
	{
		max=a[0];
		min=a[0];
	}
	for (i=1;i<=n;i++)
	{
		if (a[i]>max)
		{ max=a[i]; }
		if (a[i]<min)
		{ min=a[i]; }
	}
	g<<max+min;
	f.close();
	g.close();
}
